# plugin_info, a plugin for working with information about plugins.
# Copyright (C) 2008 Canonical Limited.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
# 

"""plugin-info is a bzr plugin for working with the bzr plugins.

The command ``plugin-info`` provides information about plugins when given one
or more local paths or URL's to plugin branches.

:seealso: bzrlib.plugins.plugin_info.extract for metadata extraction routines.
"""

from bzrlib.commands import plugin_cmds


plugin_cmds.register_lazy('cmd_plugin_info', [], 
                          'bzrlib.plugins.plugin_info.commands')


version_info = (1, 3, 0, 'dev', 0)


def test_suite():
    # Thunk across to load_tests for niceness.
    from bzrlib.tests import TestLoader
    loader = TestLoader()
    return loader.loadTestsFromModuleNames(['bzrlib.plugins.plugin_info'])


def load_tests(standard_tests, module, loader):
    standard_tests.addTests(loader.loadTestsFromModuleNames(
        ['bzrlib.plugins.plugin_info.tests']))
    return standard_tests
